
---
title: "Documentation"
linkTitle: "Documentation"
weight: 20
menu:
  main:
    weight: 20
---


Luet is a Package Manager based on containers. It provides an abstraction layer over container specfile format, enhancing the image resolution process of open container inititative ([OCI](https://en.wikipedia.org/wiki/Open_Container_Initiative)) runtimes with boolean satisfiability problem ([SAT](https://en.wikipedia.org/wiki/Boolean_satisfiability_problem)) solving techniques.

Luet can be used to build [packages](/docs/concepts/packages/), container images, as well as to manage and distribute installations of derived [packages](/docs/concepts/packages/) locally.

Allows to apply semver [constraints](/docs/concepts/overview/constraints/) to Image dependencies, treating it as a classical [CSP](https://en.wikipedia.org/wiki/Constraint_satisfaction_problem).

<script id="asciicast-388348" src="https://asciinema.org/a/388348.js" data-autoplay="true" data-size="small" data-cols="90" data-rows="30" async></script>
